%global momorel 1

Name:           clutter
Version:        1.2.14
Release:        %{momorel}m%{?dist}
Summary:        Open Source software library for creating rich graphical user interfaces

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.clutter-project.org/
Source0:        http://www.clutter-project.org/sources/%{name}/1.2/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel mesa-libGL-devel gtk2-devel pkgconfig pango-devel
BuildRequires:  libXdamage-devel gettext gtk-doc
BuildRequires:  pkgconfig
BuildRequires:  libX11-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXi-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gir-repository

%description
Clutter is an open source software library for creating fast, 
visually rich graphical user interfaces. The most obvious example 
of potential usage is in media center type applications. 
We hope however it can be used for a lot more.

%package devel
Summary:        Clutter development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig glib2-devel pango-devel fontconfig-devel gtk2-devel
Requires:       mesa-libGL-devel

%description devel
Header files and libraries for building a extension library for the
clutter

%prep
%setup -q

%build
%configure --enable-gtk-doc \
    --enable-introspection=yes \
    --enable-xinput \
    --enable-silent-rules \
    --with-json=internal
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%exclude %{_libdir}/*.la
%{_libdir}/*.so.0
%{_libdir}/*.so.0.*

# introspection
%{_libdir}/girepository-1.0/Clutter-1.0.typelib
%{_libdir}/girepository-1.0/Cogl-1.0.typelib
%{_libdir}/girepository-1.0/ClutterJson-1.0.typelib
%{_datadir}/gir-1.0/Clutter-1.0.gir
%{_datadir}/gir-1.0/Cogl-1.0.gir
%{_datadir}/gir-1.0/ClutterJson-1.0.gir

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/clutter
%exclude %{_datadir}/gtk-doc/html/cogl

%changelog
* Thu Oct 21 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2.14-1m)
- update 1.2.14

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.12-2m)
- full rebuild for mo7 release

* Sat Aug  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2.12-1m)
- update 1.2.12

* Wed Jun  9 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.10-1m)
- update 1.2.10

* Sun May 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.8-2m)
- add --with-json=internal for gnome-shell (json-glib)

* Thu May 20 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.8-1m)
- update 1.2.8

* Wed Apr 21 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.6-1m)
- update 1.2.6

* Mon Mar  8 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- update 1.2.0

* Mon Jan 18 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.10-1m)
- update 1.0.10

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.8-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-1m)
- update 1.0.8

* Thu Sep 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.6-1m)
- update 1.0.6

* Tue Sep 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.4-4m)
- fix files

* Thu Sep  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.4-3m)
- BuildRequires: gir-repository

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.4-2m)
- enable introspection

* Thu Aug 27 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.4-1m)
- update to 1.0.4

* Sun Aug 16 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.2-1m)
- update to 1.0.2

* Wed Jul 29 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.0-1m)
- update to 1.0.0-stable

* Tue Jul 28 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.8-1m)
- update to 0.9.8

* Wed Jun 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.4-1m)
- update to 0.9.4

* Tue May 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2-1m)
- update to 0.9.2

* Thu Feb 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.8-1m)
- update to 0.8.8

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.4-2m)
- rebuild against rpm-4.6

* Thu Dec  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Tue Nov 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.2-1m)
- Initial commit Momonga Linux

* Mon Oct  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.2-1
- Update to 0.8.2
- Removed clutter-0.8.0-clutter-fixed.patch

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0
- Added clutter-0.8.0-clutter-fixed.patch

* Sat Jun 14 2008 Allisson Azevedo <allisson@gmail.com> 0.6.4-1
- Update to 0.6.4

* Sat May 17 2008 Allisson Azevedo <allisson@gmail.com> 0.6.2-1
- Update to 0.6.2

* Tue Feb 19 2008 Allisson Azevedo <allisson@gmail.com> 0.6.0-1
- Update to 0.6.0

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-2
- Autorebuild for GCC 4.3

* Wed Oct  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.1-1
- Update to 0.4.1

* Sat Jul 21 2007 Allisson Azevedo <allisson@gmail.com> 0.3.1-1
- Update to 0.3.1

* Thu Apr 12 2007 Allisson Azevedo <allisson@gmail.com> 0.2.3-1
- Update to 0.2.3

* Sun Mar 28 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-4
- Changed buildrequires and requires

* Sun Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-3
- Fix .spec

* Sun Mar 24 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-2
- Fix .spec

* Sun Mar 23 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-1
- Initial RPM release
